setjmp.h File Reference

Go to the source code of this file.

## Macros

#define | SP_SIZE 1
#define | BP_SIZE 0
#define | SPX_SIZE 0
#define | BPX_SIZE SPX_SIZE
#define | RET_SIZE 2
#define | setjmp(jump_buf) __setjmp(jump_buf)

## Typedefs

typedef unsigned char | jmp_buf[RET_SIZE+SP_SIZE+BP_SIZE+SPX_SIZE+BPX_SIZE]

## Functions

int | __setjmp (jmp_buf) OLDCALL
_Noreturn void | longjmp (jmp_buf, int) OLDCALL

## Macro Definition Documentation

## SP_SIZE

#define SP_SIZE 1

## BP_SIZE

#define BP_SIZE 0

## SPX_SIZE

#define SPX_SIZE 0

## BPX_SIZE

#define BPX_SIZE SPX_SIZE

## RET_SIZE

#define RET_SIZE 2

## setjmp

#define setjmp | ( |  | jump_buf | ) | __setjmp(jump_buf)

## Typedef Documentation

## jmp_buf

typedef unsigned char jmp_buf[RET_SIZE+SP_SIZE+BP_SIZE+SPX_SIZE+BPX_SIZE]

## Function Documentation

## __setjmp()

int __setjmp | ( | jmp_buf |  | ) |

## longjmp()

_Noreturn void longjmp | ( | jmp_buf | ,
|  | int |
| ) |  |